Bug 430403 - Selinux prevents login
Selinux prevents login
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 12:08 EST by antonio montagnani
Modified: 2008-02-26 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 17:12:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit.log file (2.04 MB, text/plain)
2008-01-28 12:42 EST, antonio montagnani
no flags Details
audit.log.1 (5.00 MB, application/x-extension-1)
2008-01-28 12:45 EST, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2008-01-27 12:08:11 EST
Description of problem:

If Selinux is enforced, no user can login with gdm

Version-Release number of selected component (if applicable):
selinux-policy-3.2.5-19

How reproducible:
always

Steps to Reproduce:
1.login as user
2.
3.
  
Actual results:
User cannot login, and again you are called to re-inser username and password

Expected results:
Standard login

Additional info:
Comment 1 Daniel Walsh 2008-01-28 11:38:24 EST
Are you seeing avc messages in /var/log/audit/audit.log?
Comment 2 antonio montagnani 2008-01-28 12:42:05 EST
Created attachment 293170 [details]
audit.log file

I will send also audit.log.1
Comment 3 antonio montagnani 2008-01-28 12:45:40 EST
Created attachment 293171 [details]
audit.log.1

I didn't run selinux on this machine on FC9 before yesterday (not sure 100%)
Comment 4 Daniel Walsh 2008-01-28 15:08:33 EST
Two things you need an updated policy and you need to relabel.

touch /.autorelabel; reboot 

Will fix the labeling problems.

Tonights policy should fix the consolekit problems.

Are you logging in via X as root?   This is not a good idea.
Comment 5 antonio montagnani 2008-01-28 15:15:20 EST
(In reply to comment #4)
> Two things you need an updated policy and you need to relabel.
> 
> touch /.autorelabel; reboot 
> 
> Will fix the labeling problems.
> 
> Tonights policy should fix the consolekit problems.
> 
> Are you logging in via X as root?   This is not a good idea.
No...I have only two user root and myself, I made the check if changing user
would make me login..
Tnx for updatepolicy...but am I the only user reporting this bug???


Comment 6 Daniel Walsh 2008-01-28 15:47:43 EST
No others have had problems when the labeling is wrong.  The update of policy is
to fix the consolekit being started by dbus which just happened.



Comment 7 Daniel Walsh 2008-02-26 17:12:15 EST
Labeling problem closing as notabug.

Note You need to log in before you can comment on or make changes to this bug.